#include <iostream>
#include </informatik/isr/tams/software/player64/include/player-3.1/libplayerc++/playerc++.h>

int
main(int argc, char *argv[])
{
  using namespace PlayerCc;

  PlayerClient    robot0("localhost", 6665, 0);
  SonarProxy      sp(&robot0,0);
  Position2dProxy pp(&robot0,0);
  LaserProxy ls(&robot0,0);

  for(;;)
  {
    double turnrate, speed;

    // read from the proxies
    robot0.Read();

    // print out sonars for fun
    std::cout << sp << " " << ls << std::endl;

    // do simple collision avoidance
    if((sp[0] + sp[1]) < (sp[6] + sp[7]))
      turnrate = dtor(-20); // turn 20 degrees per second
    else
      turnrate = dtor(20);

    if(sp[3] < 0.300)
      speed = 0;
    else
      speed = 0.200;

    // command the motors
    pp.SetSpeed(speed, turnrate);
  }
}

